import * as React from "react";
import { motion } from "framer-motion";
const pathVariants = {
  hidden: {
    opacity: 0,
    pathLength: 0,
  },

  visible: {
    opacity: 1,
    pathLength: 1,
    transition: { duration: 2, ease: "easeInOut" },
  },
};

const SvgComponent = (props: any) => (
  
  <svg
    width={97}
    height={33}
    fill="none"
    xmlns="http://www.w3.org/2000/svg"
    {...props}
  >
    <motion.path

    variants={pathVariants}
      initial={"hidden"}
      animate={"visible"}
      d="M10.048 11.976c3.136 0 4.736 2.528 4.736 5.472V25h3.168v-7.936c0-4.544-2.784-8.128-7.904-8.128-5.056 0-7.776 3.584-7.776 8.16V25H5.44v-7.584c0-2.912 1.536-5.44 4.608-5.44Zm14.65-5.76c1.153 0 2.049-.928 2.049-2.08 0-1.152-.896-2.112-2.048-2.112-1.152 0-2.08.96-2.08 2.112 0 1.152.928 2.08 2.08 2.08ZM23.132 9.32V25h3.168V9.32H23.13ZM47.17 32.2V17.128c0-4.672-3.615-8.192-8.352-8.192-4.768 0-8.352 3.712-8.352 8.192 0 4.736 3.456 8.256 8.193 8.256 2.112 0 4.064-.928 5.344-2.368V32.2h3.168Zm-8.352-9.792c-2.912 0-5.184-2.4-5.184-5.248 0-2.88 2.273-5.216 5.184-5.216 2.944 0 5.184 2.336 5.184 5.216 0 2.848-2.24 5.248-5.184 5.248Zm20.378-.096c-2.88 0-4.448-2.528-4.448-5.408V9.32h-3.168v7.904c0 4.544 2.752 8.16 7.616 8.16 4.928 0 7.68-3.584 7.68-8.128V9.32H63.71v7.552c0 2.912-1.6 5.44-4.513 5.44Zm19.434 3.04c3.072 0 5.6-1.44 6.976-4.128l-2.432-1.248c-.928 1.728-2.656 2.56-4.576 2.56-2.816 0-4.864-1.888-5.216-4.576h12.544v-1.28c0-4.384-2.944-7.808-7.68-7.808-4.704 0-7.936 3.68-7.936 8.192 0 4.832 3.552 8.288 8.32 8.288Zm-5.12-9.44c.32-2.336 2.048-4.192 4.704-4.192 2.592 0 4.416 1.696 4.544 4.192h-9.248Zm18.254 9.376c1.152 0 2.08-.928 2.08-2.08 0-1.152-.928-2.048-2.08-2.048-1.152 0-2.08.896-2.08 2.048 0 1.152.928 2.08 2.08 2.08Z"
      fill="#fff"
    />
  </svg>
);

export default SvgComponent;
